class CameraConfig:
    """
        Contains config for the OpenIMAJ capture
    """

    def __init__(self, filename, device=0, xres=640, yres=480):
        self.filename = filename
        self.device = device
        self.xres = xres
        self.yres = yres

    def __str__(self):
        return ("Filename:%s Device:%s X:%d Y:%d" %
            (self.filename, self.device, self.xres, self.yres))
