
"""
V 0.2
"""

from variables import FARM
import comms
import gwutil
from gwlogging import logger


def run():
    """Runs the commands that will be needed on the farm system"""
    logger.info("Farm mode selected")
    gwutil.packFiles(FARM)
    sshServer_name = comms.chooseSshServer()
    if sshServer_name != None:
        comms.uploadFiles(sshServer_name, True)
    webServer_name = comms.chooseWebServer(sshServer_name)
    if webServer_name != None:
        comms.getSpecial(webServer_name, FARM)
        gwutil.executeSpecial()
